> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Copy documents to a location

> Creates deep copies of the specified documents (and their children) under a new `parentId`.

Both the source documents and the destination workspace must be accessible to the caller.



## OpenAPI

````yaml post /document/paste
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /document/paste:
    post:
      tags:
        - Documents
      summary: Copy documents to a location
      description: >-
        Creates deep copies of the specified documents (and their children)
        under a new `parentId`.


        Both the source documents and the destination workspace must be
        accessible to the caller.
      operationId: pasteDocuments
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                parentId:
                  type: string
                copiedNodes:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      children:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                          required:
                            - id
                    required:
                      - id
                      - children
                  minItems: 1
                workspaceId:
                  type: string
                projectId:
                  type: string
              required:
                - parentId
                - copiedNodes
                - workspaceId
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: boolean
                    enum:
                      - true
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````